Package org.jfree.layouting.input.style.parser.stylehandler.box

## Class FitPositionReadHandler

- java.lang.Object
- - org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler
  - - org.jfree.layouting.input.style.parser.stylehandler.box.FitPositionReadHandler

- All Implemented Interfaces:
    `CSSValueReadHandler`

      public class FitPositionReadHandler
      extends OneOfConstantsReadHandler

  Creation-Date: 27.11.2005, 21:48:44
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CSSNumericValue` | `BOTTOM` |
    `static CSSNumericValue` | `CENTER` |
    `static CSSNumericValue` | `LEFT` |
    `static CSSNumericValue` | `RIGHT` |
    `static CSSNumericValue` | `TOP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FitPositionReadHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected CSSValuePair` | `createResultList​(CSSValue firstPosition, CSSValue secondPosition)` |
    `CSSValue` | `createValue​(StyleKey name, org.w3c.css.sac.LexicalUnit value)` |
    `protected CSSValue` | `parseFirstPosition​(org.w3c.css.sac.LexicalUnit value)` |
    `protected CSSValue` | `parseSecondPosition​(org.w3c.css.sac.LexicalUnit value, CSSValue firstValue)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler

      `addValue, isAutoAllowed, lookupValue`

- - ### Field Detail

    - #### CENTER

          public static final CSSNumericValue CENTER

    - #### TOP

          public static final CSSNumericValue TOP

    - #### LEFT

          public static final CSSNumericValue LEFT

    - #### BOTTOM

          public static final CSSNumericValue BOTTOM

    - #### RIGHT

          public static final CSSNumericValue RIGHT

  - ### Constructor Detail

    - #### FitPositionReadHandler

          public FitPositionReadHandler​()

  - ### Method Detail

    - #### createValue

          public CSSValue createValue​(StyleKey name,
                                      org.w3c.css.sac.LexicalUnit value)

      Specified by:
        `createValue` in interface `CSSValueReadHandler`
      Overrides:
        `createValue` in class `OneOfConstantsReadHandler`

    - #### parseFirstPosition

          protected CSSValue parseFirstPosition​(org.w3c.css.sac.LexicalUnit value)

    - #### createResultList

          protected CSSValuePair createResultList​(CSSValue firstPosition,
                                                  CSSValue secondPosition)

    - #### parseSecondPosition

          protected CSSValue parseSecondPosition​(org.w3c.css.sac.LexicalUnit value,
                                                 CSSValue firstValue)